Loading...
Searching...
No Matches
lintree.cc File Reference
`#include "threadconf.h"`
`#include "lintree.h"`
`#include <iostream>`
`#include <kernel/mod2.h>`
`#include <omalloc/omalloc.h>`
`#include <misc/intvec.h>`
`#include <misc/options.h>`
`#include <reporter/si_signals.h>`
`#include <reporter/s_buff.h>`
`#include <coeffs/bigintmat.h>`
`#include <coeffs/longrat.h>`
`#include <coeffs/shortfl.h>`
`#include <polys/monomials/ring.h>`
`#include <polys/monomials/p_polys.h>`
`#include <polys/ext_fields/transext.h>`
`#include <polys/simpleideals.h>`
`#include <polys/matpol.h>`
`#include <kernel/oswrapper/timer.h>`
`#include <kernel/oswrapper/feread.h>`
`#include <kernel/oswrapper/rlimit.h>`
`#include <Singular/tok.h>`
`#include <Singular/ipid.h>`
`#include <Singular/ipshell.h>`
`#include <Singular/subexpr.h>`
`#include <Singular/links/silink.h>`
`#include <Singular/cntrlc.h>`
`#include <Singular/lists.h>`
`#include <Singular/blackbox.h>`

Go to the source code of this file.

## Namespaces

namespace | LinTree

## Macros

#define | TRANSEXT_PRIVATES 1 /* allow access to transext internals */

## Functions

number | nlRInit (long)
void | LinTree::install (int typ, LinTreeEncodeFunc enc, LinTreeDecodeFunc dec, LinTreeRefFunc ref)
void | LinTree::set_needs_ring (int typ)
void | LinTree::encode (LinTree &lintree, leftv val)
leftv | LinTree::decode (LinTree &lintree)
void | LinTree::updateref (LinTree &lintree, int by)
leftv | LinTree::new_leftv (int code, void *data)
leftv | LinTree::new_leftv (int code, long data)
void | LinTree::encode_mpz (LinTree &lintree, const mpz_t num)
void | LinTree::decode_mpz (LinTree &lintree, mpz_t &num)
void | LinTree::encode_none (LinTree &lintree, leftv val)
leftv | LinTree::decode_none (LinTree &lintree)
void | LinTree::ref_none (LinTree &lintree, int by)
void | LinTree::encode_int (LinTree &lintree, leftv val)
leftv | LinTree::decode_int (LinTree &lintree)
void | LinTree::ref_int (LinTree &lintree, int by)
void | LinTree::encode_string (LinTree &lintree, leftv val)
leftv | LinTree::decode_string (LinTree &lintree)
void | LinTree::ref_string (LinTree &lintree, int by)
void | LinTree::encode_def (LinTree &lintree, leftv val)
leftv | LinTree::decode_def (LinTree &lintree)
void | LinTree::ref_def (LinTree &lintree, int by)
void | LinTree::encode_longrat_cf (LinTree &lintree, const number n)
number | LinTree::decode_longrat_cf (LinTree &lintree)
void | LinTree::encode_number_cf (LinTree &lintree, const number n, const coeffs cf)
number | LinTree::decode_number_cf (LinTree &lintree, const coeffs cf)
leftv | LinTree::decode_number (LinTree &lintree)
void | LinTree::encode_number (LinTree &lintree, leftv val)
void | LinTree::ref_number_cf (LinTree &lintree, coeffs cf, int by)
void | LinTree::ref_number (LinTree &lintree, int by)
void | LinTree::encode_bigint (LinTree &lintree, leftv val)
leftv | LinTree::decode_bigint (LinTree &lintree)
void | LinTree::ref_bigint (LinTree &lintree, int by)
leftv | LinTree::decode_intmat (LinTree &lintree)
void | LinTree::encode_intmat (LinTree &lintree, leftv val)
void | LinTree::ref_intmat (LinTree &lintree, int by)
void | LinTree::encode_poly (LinTree &lintree, int typ, poly p, const ring r)
void | LinTree::encode_poly (LinTree &lintree, int typ, poly p)
void | LinTree::encode_poly (LinTree &lintree, leftv val)
poly | LinTree::decode_poly (LinTree &lintree, const ring r)
leftv | LinTree::decode_poly (LinTree &lintree)
void | LinTree::ref_poly (LinTree &lintree, int by)
ideal | LinTree::decode_ideal (LinTree &lintree, int typ, const ring r)
void | LinTree::encode_ideal (LinTree &lintree, int typ, const ideal I, const ring R)
void | LinTree::encode_ideal (LinTree &lintree, int typ, const ideal I)
void | LinTree::encode_ideal (LinTree &lintree, leftv val)
leftv | LinTree::decode_ideal (LinTree &lintree)
void | LinTree::ref_ideal (LinTree &lintree, int by)
void | LinTree::encode_ring (LinTree &lintree, const ring r)
void | LinTree::encode_ring (LinTree &lintree, leftv val)
ring | LinTree::decode_ring_raw (LinTree &lintree)
leftv | LinTree::decode_ring (LinTree &lintree)
void | LinTree::ref_ring (LinTree &lintree, int by)
void | LinTree::encode_list (LinTree &lintree, leftv val)
leftv | LinTree::decode_list (LinTree &lintree)
void | LinTree::ref_list (LinTree &lintree, int by)
void | LinTree::encode_command (LinTree &lintree, leftv val)
leftv | LinTree::decode_command (LinTree &lintree)
void | LinTree::ref_command (LinTree &lintree, int by)
void | LinTree::dump_string (string str)
void | LinTree::encoding_error (const char *s)
void | LinTree::decoding_error (const char *s)
std::string | LinTree::to_string (leftv val)
leftv | LinTree::from_string (std::string &str)
void | LinTree::init ()

## Variables

vector< LinTreeEncodeFunc > | LinTree::encoders
vector< LinTreeDecodeFunc > | LinTree::decoders
vector< LinTreeRefFunc > | LinTree::refupdaters
vector< char > | LinTree::needs_ring

## Macro Definition Documentation

## TRANSEXT_PRIVATES

#define TRANSEXT_PRIVATES 1 /* allow access to transext internals */

Definition at line 5 of file lintree.cc.

## Function Documentation

## nlRInit()

number nlRInit | ( | long | i | ) |

Definition at line 2501 of file longrat.cc.

{
number z=ALLOC_RNUMBER();
#if defined(LDEBUG)
z->debug=123456;
#endif
mpz_init_set_si(z->z,i);
z->s = 3;
return z;
}
i
int i
Definition cfEzgcd.cc:132
ALLOC_RNUMBER
#define ALLOC_RNUMBER()
Definition coeffs.h:94